Name:           owncloud
Version:        7.0.4
Release:        2%{?dist}
Summary:        Private file sync and share server

License:        AGPLv3+ and MIT and BSD and CC-BY and CC-BY-SA and GPLv3 and Public Domain and (MPLv1.1 or GPLv2+ or LGPLv2+) and (MIT or GPL+) and (MIT or GPLv2) and ASL 2.0 and LGPLv3
URL:            http://owncloud.org
# removed any occurences of jslint, see script delete-jslint
Source0:        %{name}-%{version}-repack.tar.bz2
# orig source:  https://download.owncloud.org/community/%%{name}-%%{version}.tar.bz2
# sha256sum: https://download.owncloud.org/community/%%{name}-%%{version}.tar.bz2.sha256
Source1:        %{name}-httpd.conf
Source6:        %{name}-nginx.conf
# packaging notes and doc
Source3:        %{name}-README.fedora
Source4:        %{name}-mysql.txt
Source5:        %{name}-postgresql.txt
# config.php containing just settings we want to specify, OwnCloud's
# initial setup will fill out other settings appropriately
Source7:        %{name}-config.php

# used to repack the source tarball
Source42:       %{name}-delete-jslint.sh

# Adjust mediaelement not to use its SWF and Silverlight plugins. This
# changes 'plugins:["flash,"silverlight","youtube","vimeo"]' to
# 'plugins:["youtube","vimeo"]'
Patch1:         %{name}-6.0.2-videoviewer_noplugins.patch
# Submitted upstream: https://github.com/owncloud/core/pull/9994
# Uses Composer's autoloader, not OC's, for loading non Composer-managed
# 3rdparty includes: it's better at it.
Patch10:        owncloud-7.0.2-composer_3rdparty_autoloader.patch
# Ugly way to deal with Pimple 1.x's lack of PSR-0 compliance. Also forces the
# paths to Sabre deps: /usr/share/php for most of Sabre (to ensure php-sabre-dav
# package, 1.8 version, is used), /usr/share/pear for Sabre\VObject (to ensure
# php-sabredav-Sabre_VObject package, 2.1 version, is used). Please be careful
# and *test* if changing this; test with all versions of all Sabre packages
# installed to make sure it DTRT. Keep an eye on upstream for future changes
# also.
Patch11:        %{name}-7.0.2-autoloader_paths.patch
# Turn on include path usage for the Composer autoloader (so it'll find
# systemwide PSR-0 and PSR-4 compliant libraries)
# Upstream wouldn't likely take this, they probably only care about their
# bundled copies
Patch12:        %{name}-7.0.2-composer_includepath.patch
# Submitted upstream: https://github.com/owncloud/core/pull/12113
# Use Composer autoloader for Dropbox (in apps/files_external/3rdparty)
Patch13:        0001-dropbox-use-Composer-autoloader.patch
# Blowfish bits are obsoleted upstream at 8.x as support for the legacy
# encryption that used it is dropped. Will submit PR for MANIFEST files
# soon.
Patch14:        %{name}-7.0.3-3rdparty_includes.patch
# Submitted upstream: https://github.com/owncloud/core/pull/11056
# Be less heavy-handed about clearing the opcache after editing config.php
# Avoids triggering a crash in php-opcache: https://github.com/owncloud/core/issues/9885
Patch15:        %{name}-7.0.3-opcache_invalidate.patch
# Backported from upstream 8.x, updates Google Drive external storage support
# for v1.x of the Google API library.
Patch16:        %{name}-7.0.4-google1.patch

BuildArch:      noarch

# expand pear macros on install
BuildRequires:  php-pear

Requires:       %{name}-webserver = %{version}-%{release}
Requires:       %{name}-database = %{version}-%{release}

# Core PHP libs/extensions required by OC core
Requires:       php-curl
Requires:       php-dom
Requires:       php-exif
Requires:       php-fileinfo
Requires:       php-gd
Requires:       php-iconv
Requires:       php-json
Requires:       php-ldap
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-pcre
Requires:       php-pdo
Requires:       php-session
Requires:       php-simplexml
Requires:       php-xmlwriter
Requires:       php-spl
Requires:       php-zip
%if 0%{?fedora} || 0%{?rhel} > 6
Requires:       php-filter
%endif

# External PHP libs required by OC core
Requires:       php-Assetic
Requires:       php-getid3
Requires:       php-PHPMailer
Requires:       php-phpass
Requires:       php-Pimple
# Upstream switched from Blowfish to AES in 5.0.7:
# http://blog.schiessle.org/2013/05/28/introduction-to-the-new-owncloud-encryption-app
# This is now only used when decrypting files encrypted with older
# versions. It has already been dropped from OC master after OC 7 branching,
# will not be used in OC 8 (support for legacy encryption is dropped).
Requires:       php-pear(Crypt_Blowfish)

Requires:       php-pear(pear.doctrine-project.org/DoctrineDBAL) >= 2.4.2
Requires:       php-pear(pear.symfony.com/Routing)
Requires:       php-pear(pear.symfony.com/Console)
# Note, OC actually includes Guzzle in Composer/Packagist form, not PEAR form
# Used by both core and apps/files_external Swift implementations
Requires:       php-pear(guzzlephp.org/pear/Guzzle)

## SabreDAV
#Requires:       php-composer(sabre/dav) >= 1.8.0
Requires:       php-sabre-dav >= 1.8.0
# OwnCloud uses vobject directly as well as dav, and it is not at all compatible
# with 3.x; calendar 'rework' branch will fix this when it lands, probably 8.x
Requires:       php-pear(pear.sabredav.org/Sabre_VObject) >= 2.0.0

# PHP libs required by applications provided as part of core OC package
## apps/search_lucene
Requires:       php-ZendFramework-Pdf
Requires:       php-ZendFramework-Search-Lucene

## apps/files_external
Requires:       php-pear(pear.dropbox-php.com/Dropbox)
Requires:       php-pear(phpseclib.sourceforge.net/Net_SFTP)
Requires:       php-composer(google/apiclient) >= 1.0.3

%if 0%{?rhel}
Requires(post): policycoreutils-python
Requires(postun): policycoreutils-python
%endif

%description
ownCloud gives you universal access to your files through a web interface or
WebDAV. It also provides a platform to easily view & sync your contacts,
calendars and bookmarks across all your devices and enables basic editing right
on the web. ownCloud is extendable via a simple but powerful API for
applications and plugins.


%package httpd
Summary:    Httpd integration for ownCloud

Provides:   %{name}-webserver = %{version}-%{release}
Requires:   %{name} = %{version}-%{release}

# PHP dependencies
Requires:       php

%description httpd
%{summary}.


%package nginx
Summary:    Nginx integration for ownCloud

Provides:   %{name}-webserver = %{version}-%{release}
Requires:   %{name} = %{version}-%{release}

# PHP dependencies
Requires:   php-fpm nginx

%description nginx
%{summary}.


%package mysql
Summary:    MySQL database support for ownCloud

Provides:   %{name}-database = %{version}-%{release}
Requires:   %{name} = %{version}-%{release}

Requires:   php-mysql

%description mysql
This package ensures the necessary dependencies are in place for ownCloud to
work with MySQL / MariaDB databases. It does not require a MySQL / MariaDB
server to be installed, as you may well wish to use a remote database
server.

If you want the database to be on the same system as ownCloud itself, you must
also install and enable a MySQL / MariaDB server package. See README.mysql for
more details.

%package postgresql
Summary:    PostgreSQL database support for ownCloud

Provides:   %{name}-database = %{version}-%{release}
Requires:   %{name} = %{version}-%{release}

Requires:   php-pgsql

%description postgresql
This package ensures the necessary dependencies are in place for ownCloud to
work with a PostgreSQL database. It does not require the PostgreSQL server
package to be installed, as you may well wish to use a remote database
server.

If you want the database to be on the same system as ownCloud itself, you must
also install and enable the PostgreSQL server package. See README.postgresql
for more details.


%package sqlite
Summary:    SQLite 3 database support for ownCloud

Provides:   %{name}-database = %{version}-%{release}
Requires:   %{name} = %{version}-%{release}
Requires:   php-sqlite3 php-pcre

%description sqlite
This package ensures the necessary dependencies are in place for ownCloud to
work with an SQLite 3 database stored on the local system.


%prep
%setup -q -n %{name}
# Fix line endings of a file we're about to patch
sed -i 's/\r$//' apps/files_encryption/lib/crypt.php
%patch1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

# prepare package doc
cp %{SOURCE3} README.fedora
cp %{SOURCE4} README.mysql
cp %{SOURCE5} README.postgresql


# Strip bundled libraries from global 3rdparty dir
rm -r 3rdparty/{Archive,Console,OS,guzzle,james-heinrich,kriswallsmith,phpass,phpmailer/phpmailer/*,phpseclib,PEAR,symfony,sabre,Pimple,doctrine}
rm 3rdparty/{System,PEAR5}.php 3rdparty/PEAR-LICENSE
# we need to symlink some annoying files back here, though...direct file
# autoloading sucks. "files" sections of "autoload" statements in
# composer.json files cause composer to basically hardcode the path to a
# given file and require that exact path *every time the autoloader is
# invoked*: I can't see an elegant way around that.
mkdir -p 3rdparty/kriswallsmith/assetic/src
mkdir -p 3rdparty/phpseclib/phpseclib/phpseclib/Crypt

# individual core apps now bundle libs as well - yay
rm -r apps/files_encryption/3rdparty/Crypt_Blowfish
rm -r apps/search_lucene/3rdparty/Zend
rm -r apps/files_external/3rdparty/Dropbox
rm -r apps/files_external/3rdparty/google-api-php-client

# ===== BUNDLING NOTES =====

## 3rdparty/Patchwork - https://github.com/nicolas-grekas/Patchwork-UTF8
# Used to set a UTF-8 locale (function isSetLocaleWorking does not
# just test whether setlocale works, it actually asks Patchwork to
# set a locale) and for its pure PHP implementation of the Normalizer
# class otherwise found in php-intl. See lib/private/util.php
# Patch from adamw to use php-intl's if available:
# https://github.com/owncloud/core/pull/6620
# We'd also have to set a UTF-8 locale some other way to entirely
# replace OC's use of Patchwork.

## 3rdparty/rackspace/php-opencloud - https://github.com/rackspace/php-opencloud

## 3rdparty/mcnetic/phpzipstreamer - https://github.com/McNetic/PHPZipStreamer
# OC's copy is somewhat behind upstream, and slightly forked: they imported
# it on 2014-02-20, and added a downstream patch to make it work with
# PHP 5.3 on 2014-03-17:
# https://github.com/owncloud/3rdparty/commit/da3c9f651a26cf076249ebf25c477e3791e69ca3
# Upstream implemented a different fix against PHP 5.3 on 2014-03-14:
# https://github.com/McNetic/PHPZipStreamer/commit/0af57cc0d113b27e44455be4be690908c4909d78
# but OC has never synced with that fix. See:
# https://github.com/owncloud/core/pull/3439
# Handled by Composer

## apps/files_external/3rdparty/smb4php - forked php class from
# http://www.phpclasses.org/package/4129-PHP-Stream-wrapper-to-access-Windows-shared-files.html

## apps/files_external/3rdparty/aws-sdk-php - https://github.com/aws/aws-sdk-php
# Old version, 2.4.0. Not forked, but stripped. We have 2.5.3 packaged as
# php-aws-sdk. Upstream master is up to 2.6.11, now provided via Packagist/Composer.
# https://github.com/owncloud/core/issues/12023#issuecomment-62568064 proposes
# going to 2.7.3.  https://bugzilla.redhat.com/show_bug.cgi?id=1157501 shows
# Fedora/EPEL packages being bumped to 2.7.3.

# ===== END BUNDLING NOTES =====

# clean up content
rm -r apps/documents/src
for f in {l10n.pl,init.sh,setup_owncloud.sh,image-optimization.sh,install_dependencies.sh}; do
    find . -name "$f" -exec rm {} \;
done
find . -size 0 -exec rm {} \;

# Drop pre-compiled binary lumps: Flash and Silverlight
# This means that Flash/Silverlight video/audio fallbacks in the
# 'media' and 'videoviewer' apps are not available.
# To re-introduce these they would have to be built from the
# source as part of this package build, they cannot be shipped
# pre-compiled. - AdamW, 2013/08
# https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
rm apps/files_videoviewer/js/flashmediaelement.swf
rm apps/files_videoviewer/js/silverlightmediaelement.xap

# let's not ship upstream's 'updater' app, which has zero chance of working and
# a big chance of blowing things up
rm -r apps/updater


%build
# Nothing to build


%install
install -dm 755 %{buildroot}%{_datadir}/%{name}

# create owncloud datadir
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/data
# create writable app dir for appstore
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/apps
# create owncloud sysconfdir
mkdir -p %{buildroot}%{_sysconfdir}/%{name}

# install content
for d in $(find . -mindepth 1 -maxdepth 1 -type d | grep -v config); do
    cp -a "$d" %{buildroot}%{_datadir}/%{name}
done

for f in {*.php,*.xml,*.html,occ,robots.txt}; do
    install -pm 644 "$f" %{buildroot}%{_datadir}/%{name} 
done

# set default config
install -pm 644 %{SOURCE7}    %{buildroot}%{_sysconfdir}/%{name}/config.php

# symlink config dir
ln -sf %{_sysconfdir}/%{name} %{buildroot}%{_datadir}/%{name}/config

# httpd config
install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

# nginx config
install -Dpm 644 %{SOURCE6} \
    %{buildroot}%{_sysconfdir}/nginx/conf.d/%{name}.conf

# symlink 3rdparty libs - if possible
# global
ln -s %{_datadir}/php/PHPMailer/class.{phpmailer.php,pop3.php,smtp.php}    %{buildroot}%{_datadir}/%{name}/3rdparty/phpmailer/phpmailer
ln -s %{pear_phpdir}/Archive                           %{buildroot}%{_datadir}/%{name}/3rdparty/Archive
ln -s %{_datadir}/php/Assetic/functions.php %{buildroot}%{_datadir}/%{name}/3rdparty/kriswallsmith/assetic/src/functions.php
ln -s %{_datadir}/pear/Crypt/Random.php %{buildroot}%{_datadir}/%{name}/3rdparty/phpseclib/phpseclib/phpseclib/Crypt/Random.php
# individual
ln -s %{_datadir}/php/Zend %{buildroot}%{_datadir}/%{name}/apps/search_lucene/3rdparty/Zend


%if 0%{?rhel} < 7
%post
semanage fcontext -a -t httpd_sys_rw_content_t '%{_sysconfdir}/%{name}/config.php' 2>/dev/null || :
semanage fcontext -a -t httpd_sys_rw_content_t '%{_sysconfdir}/%{name}' 2>/dev/null || :
restorecon -R %{_sysconfdir}/%{name} || :

%postun
if [ $1 -eq 0 ] ; then
semanage fcontext -d -t httpd_sys_rw_content_t '%{_sysconfdir}/%{name}/config.php' 2>/dev/null || :
semanage fcontext -d -t httpd_sys_rw_content_t '%{_sysconfdir}/%{name}' 2>/dev/null || :
fi
%endif


%post httpd
%if 0%{?fedora} || 0%{?rhel} > 6
/usr/bin/systemctl reload httpd.service > /dev/null 2>&1 || :
%else
/sbin/service httpd reload > /dev/null 2>&1 || :
%endif

%postun httpd
if [ $1 -eq 0 ]; then
%if 0%{?fedora} || 0%{?rhel} > 6
  /usr/bin/systemctl reload httpd.service > /dev/null 2>&1 || :
%else
  /sbin/service httpd reload > /dev/null 2>&1 || :
%endif
fi

%post nginx
%if 0%{?fedora} || 0%{?rhel} > 6
  /usr/bin/systemctl reload nginx.service > /dev/null 2>&1 || :
  /usr/bin/systemctl reload php-fpm.service > /dev/null 2>&1 || :
%else
  /sbin/service nginx reload > /dev/null 2>&1 || :
  /sbin/service php-fpm reload > /dev/null 2>&1 || :
%endif

%postun nginx
if [ $1 -eq 0 ]; then
%if 0%{?fedora} || 0%{?rhel} > 6
  /usr/bin/systemctl reload nginx.service > /dev/null 2>&1 || :
  /usr/bin/systemctl reload php-fpm.service > /dev/null 2>&1 || :
%else
  /sbin/service nginx reload > /dev/null 2>&1 || :
  /sbin/service php-fpm reload > /dev/null 2>&1 || :
%endif
fi


%files
%doc AUTHORS COPYING-AGPL README.fedora config/config.sample.php

%dir %attr(-,apache,apache) %{_sysconfdir}/%{name}
# contains sensitive data (dbpassword, passwordsalt)
%config(noreplace) %attr(0600,apache,apache) %{_sysconfdir}/%{name}/config.php

%{_datadir}/%{name}
%dir %attr(0755,apache,apache) %{_localstatedir}/lib/%{name}
# user data must not be world readable
%dir %attr(0750,apache,apache) %{_localstatedir}/lib/%{name}/data
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}/apps


%files httpd
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%files nginx
%config(noreplace) %{_sysconfdir}/nginx/conf.d/%{name}.conf

%files mysql
%doc README.mysql
%files postgresql
%doc README.postgresql
%files sqlite


%changelog
* Sat Dec 20 2014 Adam Williamson <awilliam@redhat.com> - 7.0.4-2
- backport upstream support for google PHP lib 1.x and unbundle it

* Tue Dec 09 2014 Adam Williamson <awilliam@redhat.com> - 7.0.4-1
- new release 7.0.4

* Tue Nov 25 2014 Adam Williamson <awilliam@redhat.com> - 7.0.3-3
- fix dropbox autoload patch (thanks Tomas Dolezal) #1168082

* Tue Nov 11 2014 Adam Williamson <awilliam@redhat.com> - 7.0.3-2
- drop unnecessary bits from 3rdparty_includes.patch
- split Dropbox loading changes into a separate patch (submitted upstream)

* Mon Nov 10 2014 Adam Williamson <awilliam@redhat.com> - 7.0.3-1
- new release 7.0.3

* Wed Oct 29 2014 Adam Williamson <awilliam@redhat.com> - 7.0.2-4
- db sub-packages should not depend on db server packages
- improve README
- improve db sub-package descriptions
- don't check for new versions or working .htaccess files

* Tue Oct 28 2014 Adam Williamson <awilliam@redhat.com> - 7.0.2-3
- drop unnecessary deps: php-gmp (#1152438) and Net_Curl(#999720)
- re-arrange deps in spec to be the way I like 'em

* Tue Sep 09 2014 Adam Williamson <awilliam@redhat.com> - 7.0.2-2
- 10927.patch: backport fix for an upgrade bug (upstream #10762)

* Thu Aug 28 2014 Adam Williamson <awilliam@redhat.com> - 7.0.2-1
- update to 7.0.2
- update patch for using Composer autoloader with 3rdparty deps

* Wed Aug 20 2014 Adam Williamson <awilliam@redhat.com> - 7.0.1-2
- make php directives in httpd config conditional on mod_php (FPM compat)

* Wed Aug 20 2014 Adam Williamson <awilliam@redhat.com> - 7.0.1-1
- update to 7.0.1
- drop contact_type.patch (merged upstream)

* Tue Jul 29 2014 Adam Williamson <awilliam@redhat.com> - 7.0.0-6
- do not ship upstream's 'updater' app (it'll only lead to tears)
- don't patch and ship OC's sample config, write a stub instead

* Tue Jul 29 2014 Adam Williamson <awilliam@redhat.com> - 7.0.0-5
- fix up sabre paths right this time

* Tue Jul 29 2014 Adam Williamson <awilliam@redhat.com> - 7.0.0-4
- more autoloader tweaking
- use composer not OC autoloader for legacy 3rdparty includes (core#9643)
- specify explicit paths to Sabre deps

* Sun Jul 27 2014 Adam Williamson <awilliam@redhat.com> - 7.0.0-3
- update apache config for OC 7 changes
- drop unneeded isoft/mssql-bundle from 3rdparty

* Sun Jul 27 2014 Adam Williamson <awilliam@redhat.com> - 7.0.0-2
- opcache_invalidate.patch: avoid triggering a crash in the PHP opcache
- contact_type.patch: fix selection of current field type in contact view

* Thu Jul 24 2014 Adam Williamson <awilliam@redhat.com> - 7.0.0-1
- 7.0.0
- rediff 3rdparty_includes.patch
- update 3rdparty strip commands and dependencies for upstream changes
- update dependencies

* Mon Jun 30 2014 Gregor Tätzner <brummbq@fedoraproject.org> - 6.0.4-1
- 6.0.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Gregor Tätzner <brummbq@fedoraproject.org> - 6.0.3-1
- 6.0.3
- update symfony routing patch

* Tue Mar 04 2014 Gregor Tätzner <brummbq@fedoraproject.org> - 6.0.2-1
- 6.0.2

* Mon Feb 24 2014 Adam Williamson <awilliam@redhat.com> - 6.0.1-3
- set a minimum ver on the DBAL req for safety (using with 2.3 is dangerous)

* Mon Jan 27 2014 Adam Williamson <awilliam@redhat.com> - 6.0.1-2
- unbundle phpseclib (packaged now)

* Thu Jan 23 2014 Gregor Tätzner <brummbq@fedoraproject.org> - 6.0.1-1
- 6.0.1

* Tue Jan 14 2014 Gregor Tätzner <brummbq@fedoraproject.org>  - 6.0.0a-9
- fix routing with symfony 2.3

* Fri Jan 10 2014 Adam Williamson <awilliam@redhat.com> - 6.0.0a-8
- make a warning OC keeps triggering into a debug message

* Thu Jan  9 2014 Adam Williamson <awilliam@redhat.com> - 6.0.0a-7
- re-enable irods, patch loading of it, add dependency on it

* Fri Jan  3 2014 Adam Williamson <awilliam@redhat.com> - 6.0.0a-6
- disable irods a bit harder

* Fri Jan  3 2014 Adam Williamson <awilliam@redhat.com> - 6.0.0a-5
- drop non-existent OC_User_IMAP from config file

* Fri Jan  3 2014 Adam Williamson <awilliam@redhat.com> - 6.0.0a-4
- apps_3rdparty_includes: fix more 3rdparty loading stuff
- disable_irods: disable storage app's irods (it's broken)

* Mon Dec 30 2013 Adam Williamson <awilliam@redhat.com> - 6.0.0a-3
- tar-include, blowfish-include, dropbox-include: fix more paths

* Mon Dec 30 2013 Adam Williamson <awilliam@redhat.com> - 6.0.0a-2
- dropbox-include.patch: fix loading of system copy of php-Dropbox

* Sun Dec 22 2013 Adam Williamson <awilliam@redhat.com> - 6.0.0a-1
- 6.0.0a

* Sun Dec 22 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 6.0.0-1
- 6.0.0

* Fri Dec 20 2013 Adam Williamson <awilliam@redhat.com> - 5.0.14a-2
- Correct location of php-symfony-routing: #1045301

* Fri Dec 20 2013 Adam Williamson <awilliam@redhat.com> - 5.0.14a-1
- 5.0.14a

* Sat Nov 16 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 5.0.13-1
- 5.0.13

* Tue Oct 08 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 5.0.12-1
- 5.0.12

* Tue Sep 24 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 5.0.11-2
- keep MDB2/pgsql driver, genuine version causes upgrade problems (RBZ#962082)

* Sat Sep 07 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 5.0.11-1
- 5.0.11

* Wed Sep 04 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 5.0.10-4
- unbundle sabredav again

* Fri Aug 23 2013 Adam Williamson <awilliam@redhat.com> - 5.0.10-3
- patch mediaelement not to try and use its plugins

* Fri Aug 23 2013 Adam Williamson <awilliam@redhat.com> - 5.0.10-2
- drop binary Flash and Silverlight blobs: #1000257
- don't ship source of jplayer in the binary package

* Sun Aug 18 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 5.0.10-1
- 5.0.10

* Thu Aug 15 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.13-2
- RBZ #962082 keep 3rdparty pqsql mdb2 driver

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 5.0.9-2
- buildreq: php-pear (RBZ #987279)

* Tue Jul 16 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 5.0.9-1
- major upgrade to 5.0.9
- symlink 3rdparty libs and drop most of the patches
- new deps: php-ZendFramework symfony

* Sat Jun 08 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.12-1
- 4.5.12

* Thu May 16 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.11-2
- RBZ #963701: require mdb2-mysql not mysqli

* Thu May 16 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.11-1
- 4.5.11

* Tue Apr 23 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.10-1
- 4.5.10

* Sat Apr 13 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.9-1
- 4.5.9
- disable remote access by default

* Fri Mar 15 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.8-1
- 4.5.8
- unbundle dropbox-php
- log to syslog
- include nginx config

* Mon Feb 25 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.7-2
- added script for re-creating stripped tarball
- new httpd.conf for httpd 2.4

* Sun Feb 24 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.5.7-1
- 4.5.7

* Sun Jan 13 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.8-7
- fixed selinux file context on rhel

* Sat Dec 08 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.8-6
- unbundled phpass and php-when
- added database setup instructions

* Thu Nov 08 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.8-5
- moved included sqlite3 driver to owncloud-sqlite
- unbundled php-cloudfiles
- reworked runtime requirements

* Sun Nov 04 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.8-4
- repacked source tarball (deleted jslint code)

* Sat Nov 03 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.8-3
- added missing licenses
- obliterated jslint code from aceeditor

* Fri Nov 02 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.8-2
- updated license field
- added README.fedora

* Thu Oct 18 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.8-1
- owncloud-4.0.8

* Fri Oct 12 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.7-5
- unbundle php-getid3
- remove conf dir access check

* Tue Oct 02 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.7-4
- require rsyslog
- switched log type back to 'owncloud'

* Sun Sep 23 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.7-3
- unbundled Archive/Tar.php, Guess.php, phpmailer
- created virtual packages for supported databases
- added logrotate script

* Thu Sep 20 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.7-2
- moved httpd files and sciptlets into own subpackage
- redirected log output to /var/log/owncloud.log
- deleted unecessary files

* Wed Sep 19 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 4.0.7-1
- updated to version 4.0.7

* Fri Apr 06 2012 Felix Kaechele <heffer@fedoraproject.org> - 3.0.1-1
- initial package

